FreeMat

- Main Page
- Related Pages

vtkHyperOctreeLimiter

Section: Visualization Toolkit Graphics Classes

# Usage

This filter returns a lower resolution copy of its input vtkHyperOctree. It does a length/area/volume weighted averaging to obtain data at each cut point. Above the cut level, leaf attribute data is simply copied.

To create an instance of class vtkHyperOctreeLimiter, simply invoke its constructor as follows

      obj = vtkHyperOctreeLimiter

# Methods

The class vtkHyperOctreeLimiter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkHyperOctreeLimiter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkHyperOctreeLimiter = obj.NewInstance ()`
- `vtkHyperOctreeLimiter = obj.SafeDownCast (vtkObject o)`
- `int = obj.GetMaximumLevel ()` - Return the maximum number of levels of the hyperoctree.
- `obj.SetMaximumLevel (int levels)` - Set the maximum number of levels of the hyperoctree.